/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * unity-webapps-context.h
 * Copyright (C) Canonical LTD 2011
 * 
 * Author: Robert Carr <racarr@canonical.com>
 * 
unity-webapps is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * unity-webapps is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 */

#ifndef __UNITY_WEBAPPS_CONTEXT_H
#define __UNITY_WEBAPPS_CONTEXT_H

#include "unity-webapps-service.h"

#include "unity-webapps-gen-context.h"

typedef struct _UnityWebappsContext UnityWebappsContext;

#include "unity-webapps-notification-context.h"
#include "unity-webapps-indicator-context.h"
#include "unity-webapps-music-player-context.h"

struct _UnityWebappsContext {
	UnityWebappsGenContext *context_proxy;

	UnityWebappsNotificationContext *notification_context;
	UnityWebappsIndicatorContext *indicator_context;
	UnityWebappsMusicPlayerContext *music_player_context;
};



UnityWebappsContext *unity_webapps_context_new (UnityWebappsService *service, const gchar *name, const gchar *domain);

void unity_webapps_context_free (UnityWebappsContext *context);

gchar *unity_webapps_context_get_name (UnityWebappsContext *context);
gchar *unity_webapps_context_get_domain (UnityWebappsContext *context);
gchar *unity_webapps_context_get_desktop_name (UnityWebappsContext *context);

#endif
