#include <stdlib.h>

#include "../src/unity-webapps-service.h"
#include "../src/unity-webapps-context.h"

#include <unistd.h>

static void
test_indicator_simple_show ()
{
      if (g_test_trap_fork (0, G_TEST_TRAP_SILENCE_STDOUT | G_TEST_TRAP_SILENCE_STDERR))
      {
      UnityWebappsService *service;
      UnityWebappsContext *context;

      service = unity_webapps_init ();
      
      context = unity_webapps_context_new (service, "Test", "test.ts");
      
      unity_webapps_indicator_show_indicator (context, "Testing");
      g_printf("Showed indicator", NULL);
      
      exit(0);
      }
  g_test_trap_assert_passed();
  g_test_trap_assert_stdout ("Showed indicator");
}

static void
test_indicator_clear ()
{
    if (g_test_trap_fork (0, G_TEST_TRAP_SILENCE_STDOUT | G_TEST_TRAP_SILENCE_STDERR))
      {
      UnityWebappsService *service;
      UnityWebappsContext *context;

      service = unity_webapps_init ();
      
      context = unity_webapps_context_new (service, "Test", "test.ts");
      
      unity_webapps_indicator_show_indicator (context, "Testing");
      unity_webapps_indicator_clear_indicator (context, "Testing");

      g_printf("Cleared indicator");
      
      exit(0);
      }
  g_test_trap_assert_passed();
  g_test_trap_assert_stdout ("Cleared indicator");
}

static void
test_indicator_set_property ()
{
  if (g_test_trap_fork (0, G_TEST_TRAP_SILENCE_STDOUT | G_TEST_TRAP_SILENCE_STDERR))
    {
      UnityWebappsService *service;
      UnityWebappsContext *context;
      
      service = unity_webapps_init ();
      
      context = unity_webapps_context_new (service, "Test", "test.ts");
      
      unity_webapps_indicator_show_indicator (context, "Testing");
      unity_webapps_indicator_set_property (context, "Testing",
					    "count", "3");
	
      g_printf("Set property");
      
      exit(0);
      }
  g_test_trap_assert_passed();
  g_test_trap_assert_stdout ("Set property");
}

int 
main (int argc, char **argv)
{
  g_thread_init (NULL);
  g_type_init ();

  g_test_init (&argc, &argv, NULL);
  
  g_test_add_func("/indicator/simple-show",
		  test_indicator_simple_show);
  g_test_add_func ("/indicator/clear",
		   test_indicator_clear);
  g_test_add_func("/indicator/set-property",
		  test_indicator_set_property);
  
  return g_test_run ();
}

